Artboard
Deployments

Start a deployment

Use this endpoint to start a deployment. The deployment will be started asynchronously and you can use the /deployment endpoint to check the status of the sub-deployments.

POST
/otto/api/deployment

Request Body

application/json

POST /otto/api/deployment Request body

label?string

batch label, used only for descriptive purposes

deployments?array<>

Array of deployments to be run. These are run in the sequence they are provided.

abortRemaining?boolean

Abort remaining deployments if one fails

chainedAction?||array<|>
scheduled*boolean

boolean to determine whether or not to schedule the deployment(s) for later

timestamp*string

timestamp to use to schedule the deployment. See Claris FileMaker scheduling API docs for formatting.

Match^(-?(?:[1-9][0-9]*)?[0-9]{4})-(1[0-2]|0[1-9])

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/deployment" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "deployments": [      {        "source": {          "type": "url",          "url": "http://example.com"        },        "fileOperations": [          {            "operation": "migrate",            "clone": {              "fileName": "string",              "user": "string",              "password": "string"            },            "dataSource": {              "fileName": "string",              "user": "string",              "password": "string"            },            "target": {              "fileName": "string"            }          }        ]      }    ],    "scheduled": true,    "timestamp": "string"  }'
{
  "response": {},
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ]
}
{
  "response": {},
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ]
}